
# #############################################################
# ### Generated by GenerateVarMap.PL.
# ###
# ### Please edit the master and *not* this file.
# ### Date of render: Fri Mar  7 13:15:44 2008
##############################################################

package sys;

use strict;
use warnings;
use version;
our $VERSION = qv('0.2');

use Carp 'confess';
use Scalar::Util 'blessed';

use Class::Dot::Meta::Method qw(
    install_sub_from_coderef
);

sub import {
    my ($this_class, @args) = @_;
    my $caller_class = caller 0;

    install_sub_from_coderef( sub {
            sys->new()
        } => ($caller_class, "sys")
    );
}


use Class::Dot2;
use sys::process;
use sys::input;
use sys::interpolation;
use sys::re::match;
use sys::os;
use sys::process::group;
use sys::process::user;
use sys::output;
use sys::format;
use sys::eval;
use sys::re;
{

    has "process"      => (isa => "sys::process");
    has "input"      => (isa => "sys::input");
    has "interpolation"      => (isa => "sys::interpolation");
    has "match"      => (isa => "sys::re::match");
    has "os"      => (isa => "sys::os");
    has "group"      => (isa => "sys::process::group");
    has "user"      => (isa => "sys::process::user");
    has "output"      => (isa => "sys::output");
    has "format"      => (isa => "sys::format");
    has "eval"      => (isa => "sys::eval");
    has "re"      => (isa => "sys::re");

    sub process {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("process")
            : sys::process->new();
    }
    sub input {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("input")
            : sys::input->new();
    }
    sub interpolation {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("interpolation")
            : sys::interpolation->new();
    }
    sub match {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("match")
            : sys::re::match->new();
    }
    sub os {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("os")
            : sys::os->new();
    }
    sub group {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("group")
            : sys::process::group->new();
    }
    sub user {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("user")
            : sys::process::user->new();
    }
    sub output {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("output")
            : sys::output->new();
    }
    sub format {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("format")
            : sys::format->new();
    }
    sub eval {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("eval")
            : sys::eval->new();
    }
    sub re {
        return defined $_[0] && blessed $_[0]
            ? $_[0]->__getattr__("re")
            : sys::re->new();
    }

    sub warnings {
                    if ($_[1]) {
                return $^W = $_[1];
            };
        
                return $^W; # SCALAR        
    }
    sub executable_name {
                    if ($_[1]) {
                return $^W = $_[1];
            };
        
                return $^W; # SCALAR        
    }
    sub stderr {
        
                return \*STDERR; # GLOB        
    }
    sub accumulator {
                    if ($_[1]) {
                return $^A = $_[1];
            };
        
                return $^A; # SCALAR        
    }
    sub exceptions_being_caught {
                    if ($_[1]) {
                return $^S = $_[1];
            };
        
                return $^S; # SCALAR        
    }
    sub version {
                    if ($_[1]) {
                return $^V = $_[1];
            };
        
                return $^V; # SCALAR        
    }
    sub arg {
                    if ($_[1]) {
                return $_ = $_[1];
            };
        
                return $_; # SCALAR        
    }
    sub debugging {
                    if ($_[1]) {
                return $^D = $_[1];
            };
        
                return $^D; # SCALAR        
    }
    sub basetime {
                    if ($_[1]) {
                return $^T = $_[1];
            };
        
                return $^T; # SCALAR        
    }
    sub inplace_edit {
                    if ($_[1]) {
                return $^I = $_[1];
            };
        
                return $^I; # SCALAR        
    }
    sub compiling {
                    if ($_[1]) {
                return $^C = $_[1];
            };
        
                return $^C; # SCALAR        
    }
    sub stdout {
        
                return \*STDOUT; # GLOB        
    }
    sub last_regexp_code_result {
                    if ($_[1]) {
                return $^R = $_[1];
            };
        
                return $^R; # SCALAR        
    }
    sub perldb {
                    if ($_[1]) {
                return $^P = $_[1];
            };
        
                return $^P; # SCALAR        
    }

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab tabstop=4 shiftwidth=4 shiftround

__END__

=begin wikidoc

= NAME

sys - Information about the currently running Perl interpreter.

= VERSION

This document describes sys version %%VERSION%%

= SYNOPSIS

    use sys;


    my $warnings = sys->warnings;

    sys->warnings($new_value);
    
    my $executable_name = sys->executable_name;

    sys->executable_name($new_value);
    
    my $stderr = sys->stderr;

    
    my $accumulator = sys->accumulator;

    sys->accumulator($new_value);
    
    my $exceptions_being_caught = sys->exceptions_being_caught;

    sys->exceptions_being_caught($new_value);
    
    my $version = sys->version;

    sys->version($new_value);
    
    my $arg = sys->arg;

    sys->arg($new_value);
    
    my $debugging = sys->debugging;

    sys->debugging($new_value);
    
    my $basetime = sys->basetime;

    sys->basetime($new_value);
    
    my $inplace_edit = sys->inplace_edit;

    sys->inplace_edit($new_value);
    
    my $compiling = sys->compiling;

    sys->compiling($new_value);
    
    my $stdout = sys->stdout;

    
    my $last_regexp_code_result = sys->last_regexp_code_result;

    sys->last_regexp_code_result($new_value);
    
    my $perldb = sys->perldb;

    sys->perldb($new_value);
    

= DESCRIPTION

This is the object oriented version of [English].

This module provides access to some objects used or maintained by
the interpreter and to functions that interact strongly with the interpreter.


= SUBROUTINES/METHODS

== CLASS/INSTANCE METHODS


=== {warnings($optional_new_value)}

Returns warnings as a SCALAR.


=== {executable_name($optional_new_value)}

Returns executable_name as a SCALAR.


=== {stderr($optional_new_value)}

Returns stderr as a GLOB.


=== {accumulator($optional_new_value)}

Returns accumulator as a SCALAR.


=== {exceptions_being_caught($optional_new_value)}

Returns exceptions_being_caught as a SCALAR.


=== {version($optional_new_value)}

Returns version as a SCALAR.


=== {arg($optional_new_value)}

Returns arg as a SCALAR.


=== {debugging($optional_new_value)}

Returns debugging as a SCALAR.


=== {basetime($optional_new_value)}

Returns basetime as a SCALAR.


=== {inplace_edit($optional_new_value)}

Returns inplace_edit as a SCALAR.


=== {compiling($optional_new_value)}

Returns compiling as a SCALAR.


=== {stdout($optional_new_value)}

Returns stdout as a GLOB.


=== {last_regexp_code_result($optional_new_value)}

Returns last_regexp_code_result as a SCALAR.


=== {perldb($optional_new_value)}

Returns perldb as a SCALAR.


= DEPENDENCIES

* [version]

* [Class::Dot]

* [Scalar::Util]

= INCOMPATIBILITIES

None known.

= BUGS AND LIMITATIONS

No bugs have been reported.

Please report any bugs or feature requests to
[bug-class-dot@rt.cpan.org|mailto:bug-class-dot@rt.cpan.org], or through the
web interface at [CPAN Bug tracker|http://rt.cpan.org].

= SEE ALSO

* [perlvar]

* [English]

= AUTHOR

Ask Solem, [asksh@cpan.org].

= LICENSE AND COPYRIGHT

Copyright (c), 2007 Ask Solem [ask@0x61736b.net|mailto:ask@0x61736b.net].

{sys} is distributed under the Modified BSD License.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
this
list of conditions and the following disclaimer in the documentation and/or
other materials provided with the distribution.

3. The name of the author may not be used to endorse or promote products
derived
from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED                        
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF                                
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO                          
EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,                              
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,                        
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR                      
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER                       
IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)                          
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE                          
POSSIBILITY OF SUCH DAMAGE.

= DISCLAIMER OF WARRANTY

BECAUSE THIS SOFTWARE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE
SOFTWARE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE
STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE
SOFTWARE "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND
PERFORMANCE OF THE SOFTWARE IS WITH YOU. SHOULD THE SOFTWARE PROVE DEFECTIVE,
YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY
COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE
SOFTWARE AS PERMITTED BY THE ABOVE LICENSE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE SOFTWARE (INCLUDING BUT NOT LIMITED TO
LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR
THIRD PARTIES OR A FAILURE OF THE SOFTWARE TO OPERATE WITH ANY OTHER
SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

=end wikidoc

=for stopwords expandtab shiftround
